Webhook settings [Deprecated]

To configure webhooks: Make an API call: PUT https://api.sandbox.cleeng.com/3.1/webhook_subscriptions/{topic}

Replace {topic} with the topic you want to subscribe to (i.e. the event you want to be notified about), e.g. subscriptionReadyForPaymentAuthorisation. A topic identifies what event has occurred in the Cleeng system.

Provide a list of endpoints to which notifications should be delivered.

No matter what connector you choose, you should apply the webhook filtering logic - filtering by paymentMethodId. This allows you to differentiate transactions coming from the respective connectors.

IMPORTANT: You have to repeat the configuration steps for each required topic.

WARNING: Be careful not to override the webhooks you have already subscribed to as the PUT method creates a new resource or replaces a representation of the target resource with the request message payload.

To improve webhook delivery reliability, you can enable retries by adding the retryPolicy object to your webhook endpoint configuration. See the details of configuring the retry policy and ensuring idempotent processing.

Path Params
string
required

Webhook topic to which you want to subscribe the endpoints

Body Params
RAW_BODY
array of objects
required
RAW_BODY*
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json